%define driverversion 5.2
%define extraversion %nil
%define gutenprintmajor 2
%define libgutenprint %mklibname gutenprint %{gutenprintmajor}
%define gutenprintui2major 1
%define libgutenprintui2 %mklibname gutenprintui2_ %{gutenprintui2major}

%define cups_serverbin %{_exec_prefix}/lib/cups

%define gimpplugin 1

##### RPM PROBLEM WORKAROUNDS

Summary:	Photo-quality printer drivers primarily for inkjet printers
Name:		gutenprint
Version:	5.2.10
%define         subrel 1
Release:	%mkrel 5
License:	GPLv2+
Group:		Publishing
URL:		http://gimp-print.sourceforge.net/

##### GENERAL BUILDREQUIRES

BuildRequires:	autoconf2.5
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	imagemagick
BuildRequires:	gettext-devel
BuildRequires:	foomatic-db
BuildRequires:	foomatic-db-engine
BuildRequires:	libcups-devel >= 1.2.0-0.5361.0mdk
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	libijs-devel
BuildRequires:	libjpeg-static-devel
BuildRequires:	libtiff-devel
BuildRequires:	chrpath
BuildRequires:	pkgconfig(libusb-1.0)
# Make sure we get postscriptdriver tags:
BuildRequires: python-cups

%if %{gimpplugin}
BuildRequires:	pkgconfig(gimpui-2.0)
%endif

# Only needed when building Gutenprint from a CVS snapshot
#BuildRequires: tetex-latex imagemagick docbook-utils sgml-tools

##### GIMP PRINT SOURCE
Source:	http://downloads.sourceforge.net/gimp-print/%{name}-%{version}.tar.bz2

##### GIMP PRINT PATCHES
Patch1:		gutenprint-5.0.1-menu.patch
Patch3:		gutenprint-5.2.3-default-a4.patch
# See: http://www.openprinting.org/printer/Brother/Brother-HL-2030
Patch4:		gutenprint-5.2.9-fix-brother-hl-2030-support.patch
Patch5:		gutenprint-5.2.9-m4dir.patch

##### PACKAGE DESCRIPTIONS

%package -n %{libgutenprint}
Summary:	Shared library for high-quality image printing
Group:		Publishing
Provides:	libgutenprint = %{version}-%{release}

%package -n %{libgutenprint}-devel
Summary:	Headers and links for compiling against libgutenprint
Group:		Development/C
Requires:	%{libgutenprint} >= %{version}-%{release}
Requires:	multiarch-utils
Provides:	libgutenprint-devel = %{version}-%{release}
Provides:	gutenprint-devel = %{version}-%{release}

%package -n %{libgutenprintui2}
Summary:	Shared library for Gutenprint GUI with GTK 2.x
Group:		Publishing
Provides:	libgutenprintui2 = %{version}-%{release}

%package -n %{libgutenprintui2}-devel
Summary:	Headers and links for compiling against libgutenprintui2
Group:		Development/C
Requires:	%{libgutenprintui2} >= %{version}-%{release}
Requires:	multiarch-utils
Provides:	libgutenprintui2-devel = %{version}-%{release}

%package common
Summary:	Documentation, samples and translations of Gutenprint
Obsoletes:	gimpprint-common
Provides:	gimpprint-common
Group:		Publishing

%package cups
Summary:	Special CUPS printer driver of Gutenprint
Requires:	cups >= 1.1
Requires:	gutenprint-common >= %{version}-%{release}
Conflicts:	cups-drivers <= 10.1
Obsoletes:	gimpprint-cups
Provides:	gimpprint-cups
Group:		Publishing

%package foomatic
Summary:	Foomatic data for Gutenprint IJS plugin for GhostScript
Requires:	foomatic-db, foomatic-db-engine
Obsoletes:	gimpprint-foomatic
Provides:	gimpprint-foomatic
Group:		Publishing

%package escputil
Summary: Gutenprint ink level monitor and printer maintenance tool
Requires:	gutenprint-common >= %{version}-%{release}
Conflicts:	printer-utils <= 10.1
Obsoletes:	gimpprint-escputil
Provides:	gimpprint-escputil
Group:		Publishing

%if %{gimpplugin}
%package gimp2
Summary:	Gutenprint plugin for high-quality image printing
Group:		Publishing
Requires:	gimp
Requires:	gutenprint-common >= %{version}-%{release}
Obsoletes:	gimpprint-gimp2
Provides:	gimpprint-gimp2
%endif

##### DESCRIPTION TEXTS

%description
Gutenprint is a high quality printer driver suite for photo-quality
printing on inkjet printers, especially Epson. There are also some
Canon, HP, and Lexmark inkjets (older models) and PCL bw laser
printers supported (PCL 5e and earlier). If your printer is supported
by Gutenprint and not an HP printer supported by HPIJS, this is the
best choice of a free software printer driver.

Keep in mind that the leader of this project is hobby photographer and
wanted to get his 6-ink Epson Stylus Photo EX working in its best
quality without necessity of proprietary software.

%description -n %{libgutenprint}
This is a high-quality printing library used by the Gutenprint plugin,
the Gutenprint IJS color/photo inkjet/laser driver for GhostScript,
and by specialized CUPS drivers.

%description -n %{libgutenprint}-devel
These are the links and header files to compile applications which
should use the libgutenprint library.

%description -n %{libgutenprintui2}
This is a GTK-2.x-based GUI library to create dialogs to control
the Gutenprint printer drivers.

%description -n %{libgutenprintui2}-devel
These are the links and header files to compile applications which
should use the libgutenprintui2 library.

%description common
Documentation, sample files, and translations of Gutenprint.

%description cups
This package contains a special Gutenprint printer driver to be used
with CUPS (and without GhostScript) and also the appropriate PPD files
to set up print queues with this driver.

With the Gutenprint CUPS drivers you can do a colour caibration. Use
the program "cups-calibrate" to perform it.

%description foomatic
Foomatic data for the Gutenprint IJS plug-in for GhostScript. You need
this package to set up print queues with printerdrake, KDE Printing
Manager, or directly with Foomatic.

%description escputil
This is a command line tool to query ink levels and to maintain
Epson's inkjet printers. It allows ink level query, head alignment,
nozzle checking, and nozzle cleaning. If you want a graphical
interface, use mtink instead.

%if %{gimpplugin}
%description gimp2
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.
%endif


%prep
# unpack main sources
%setup -q -n gutenprint-%{version}%{extraversion}
%patch1 -p1 -b .menu
%patch3 -p1 -b .a4
%patch4 -p0 -b .mga1349
%patch5 -p1 -b .m4

%build
# "autogen.sh" needed for the case when Gutenprint
# driver is from CVS (see its README) or if build system is patched.
#export NOCONFIGURE=1; ./autogen.sh

# Build with all pipes and whistles: GIMP, GhostScript, CUPS, IJS, Foomatic,
# but without translated PPD files (does not work)
# Use IJS library provided by this package

%if %{gimpplugin}
%define enablegimpplugin --with-gimp2
%else
%define enablegimpplugin --without-gimp2
%endif
./autogen.sh

%configure2_5x \
	--enable-shared \
	--disable-rpath \
	--enable-libgutenprintui2 \
	--enable-cups-1_2-enhancements \
	--disable-cups-ppds \
	%enablegimpplugin \
	--with-cups \
	--enable-cups-level3-ppds \
	--enable-simplified-cups-ppds \
	--disable-static-genppd \
	--disable-translated-cups-ppds \
	--with-foomatic \
	--with-foomatic3

# Compile Gutenprint
%make


%install
%makeinstall_std

# Remove /usr/share/foomatic/kitload.log
rm -f %{buildroot}%{_datadir}/foomatic/kitload.log

# Remove "canon" and "epson" CUPS backends
rm -f %{buildroot}%{_prefix}/lib*/cups/backend/canon
rm -f %{buildroot}%{_prefix}/lib*/cups/backend/epson

# Remove a GTK-1.x file which is installed even when GTK-1.x support
# is disabled (Gutenprint bug)
rm -f %{buildroot}%{_libdir}/pkgconfig/gutenprintui.pc

# Correct permissions
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

# Fix up rpath.
for file in \
  %{buildroot}%{_sbindir}/cups-genppd.5.2 \
  %{buildroot}%{_libdir}/gimp/*/plug-ins/* \
  %{buildroot}%{_libdir}/*.so.* \
  %{buildroot}%{cups_serverbin}/driver/* \
  %{buildroot}%{cups_serverbin}/filter/* \
  %{buildroot}%{_bindir}/*
do
  chrpath --delete ${file}
done


# Translation files of Gutenprint
# find %{buildroot} -regex ".*/gutenprint.*.mo" | sed -e "s@^%{buildroot}@@" > gutenprint.lang
%find_lang %{name}

# Delete translation source files
find %{buildroot}%{_datadir}/locale/ -name "*.po" | xargs rm -f

mkdir -p %{buildroot}%{_libdir}/gutenprint/%{driverversion}

##### FILES

%files -n %{libgutenprint}
%{_libdir}/libgutenprint.so.%{gutenprintmajor}
%{_libdir}/libgutenprint.so.%{gutenprintmajor}.*
%dir %{_libdir}/gutenprint/%{driverversion}

%files -n %{libgutenprint}-devel
%{_libdir}/libgutenprint.so
%{_libdir}/pkgconfig/gutenprint.pc
%{_includedir}/gutenprint

%files -n %{libgutenprintui2}
%{_libdir}/libgutenprintui2.so.%{gutenprintui2major}
%{_libdir}/libgutenprintui2.so.%{gutenprintui2major}.*

%files -n %{libgutenprintui2}-devel
%{_libdir}/libgutenprintui2.so
%{_libdir}/pkgconfig/gutenprintui2.pc
%{_includedir}/gutenprintui2

%files common -f gutenprint.lang
%doc ABOUT-NLS AUTHORS NEWS README
%{_bindir}/testpattern
%{_datadir}/gutenprint
%dir %{_libdir}/gutenprint

%files cups
%{_mandir}/man8/cups-*
%{_bindir}/cups-*
%{_sbindir}/cups-*
#%%{_datadir}/cups/model/*
%{_datadir}/cups/calibrate.ppm
%{_datadir}/cups/usb/net.sf.gimp-print.usb-quirks
%attr(0755,root,root) %{_prefix}/lib*/cups/backend/*
%attr(0755,root,root) %{_prefix}/lib*/cups/driver/gutenprint.%{driverversion}
%attr(0755,root,root) %{_prefix}/lib*/cups/filter/*
%config(noreplace) %{_sysconfdir}/cups/command.*

%files foomatic
%_datadir/foomatic/db/*/*/*.xml

%files escputil
%{_mandir}/man1/escputil*
%attr(0755,lp,sys) %{_bindir}/escputil

%if %{gimpplugin}
%files gimp2
%{_libdir}/gimp/2.0/plug-ins/gutenprint
%endif

%post common
%_install_info gutenprint
:

%post cups
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
/sbin/service cups condrestart >/dev/null 2>&1 || :
# Update print queues with Gutenprint CUPS driver
/usr/sbin/cups-genppdupdate > /dev/null 2>/dev/null || :

%post foomatic
# Update print queues with Gimp-Print/Gutenprint IJS driver
ls /etc/cups/ppd/*.ppd > /dev/null 2>&1 && \
for f in /etc/cups/ppd/*.ppd; do \
	queue=`basename ${f%%.ppd}`; \
	egrep -q '\*FoomaticIDs.*(gimp-print|gutenprint)' $f && \
		foomatic-configure -n $queue -f \
			-d gutenprint-ijs.%{driverversion} \
			>/dev/null 2>&1 || :; \
done
exit 0

%postun common
%_remove_install_info gutenprint
:

%postun cups
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
# Do not restart on upgrades, as it is already restarted by post section.
if [ $1 -eq 1 ]; then
	/sbin/service cups condrestart || :
fi



%changelog
* Sat Apr 29 2017 neoclust <neoclust> 5.2.10-5.1.mga5
+ Revision: 1098055
- Rebuild for new ghostprint

* Fri Nov 14 2014 luigiwalser <luigiwalser> 5.2.10-5.mga5
+ Revision: 797289
- silence service command output in gutenprint-cups post scriplet (mga#14512)

* Thu Nov 13 2014 tv <tv> 5.2.10-4.mga5
+ Revision: 796724
- BR python-cups so that we got postscriptdriver provides

* Wed Oct 15 2014 umeabot <umeabot> 5.2.10-3.mga5
+ Revision: 740717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2.10-2.mga5
+ Revision: 680053
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 luigiwalser <luigiwalser> 5.2.10-1.mga5
+ Revision: 651153
- 5.2.10
- rediff patch 4
- remove upstreamed patch 6
- pkgconfig some BRs and add libusb1

* Wed Mar 19 2014 dglent <dglent> 5.2.9-6.mga5
+ Revision: 605540
- Increase release number
- Install translations for installed locales only

* Sat Oct 19 2013 umeabot <umeabot> 5.2.9-5.mga4
+ Revision: 534304
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 5.2.9-4.mga4
+ Revision: 477189
- build with default args
- fix wrong lib detection in configure
- build static genppd

* Tue Sep 10 2013 fwang <fwang> 5.2.9-3.mga4
+ Revision: 477165
- enable cups 1.2 build
- lock libmajor

  + dglent <dglent>
    - delete source translation files (mga#2607)

* Sat Jan 12 2013 umeabot <umeabot> 5.2.9-2.mga3
+ Revision: 353018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 fedya <fedya> 5.2.9-1.mga3
+ Revision: 277260
- rpmlint text formatting fixes
- version update

* Tue Jan 17 2012 doktor5000 <doktor5000> 5.2.7-3.mga2
+ Revision: 197380
- remove useless debug handling

* Fri Jan 13 2012 doktor5000 <doktor5000> 5.2.7-2.mga2
+ Revision: 195500
- add patch for missing includes in commandtocanon.c and in commandtoepson.c
  (fix-missing-includes.patch, from Fedora)
- remove unrecognized configure options (--disable-libgutenprintui,
  --without-gimp, --with-ijs)

  + dmorgan <dmorgan>
    - According to openprinting.org, use hl1250 as default pilot for
      the Brother-HL-2030 printer
    - Remove buildroot definition

  + tv <tv>
    - new release

* Wed Feb 23 2011 ennael <ennael> 5.2.6-1.mga1
+ Revision: 57925
- fix deletion
- remove mdk tests
- more cleaning
- clean spec file
- imported package gutenprint


* Sun Nov 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 5.2.6-1mdv2011.0
+ Revision: 602333
- update to new version 5.2.6

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 5.2.5-1mdv2010.1
+ Revision: 505053
- update to new version 5.2.5

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 5.2.4-1mdv2010.0
+ Revision: 407312
- Update to new version 5.2.4
- Remove patch integrated upstream

* Tue Dec 23 2008 Frederik Himpe <fhimpe@mandriva.org> 5.2.3-1mdv2009.1
+ Revision: 317984
- Update to new version 5.2.3
- Rediff patch to use A4 by default, remove margins work-around as
  instructed by upstream comment in papers.xml
- Update no -O6 CFLAG patch from Fedora
- Use chrpath to remove rpaths (from Fedora)
- Gutenprint now needs installation of some po files in addition
  to mo files.
- postinstall script: genppdupdate.5.1 renamed to genppdupdate

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 5.1.7-3mdv2009.1
+ Revision: 301533
- rebuilt against new libxcb

* Tue Jun 24 2008 Tiago Salem <salem@mandriva.com.br> 5.1.7-2mdv2009.0
+ Revision: 228552
- rebuild to fix lzma payload issue

* Wed Jun 18 2008 Tiago Salem <salem@mandriva.com.br> 5.1.7-1mdv2009.0
+ Revision: 225977
- version 5.1.7
- remove locale patch as it is already in upstream source code.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 30 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.2-4mdv2008.1
+ Revision: 160235
- Remove patch optmize, as it may introduce problems with unstable networks.
- Use the same patch for locale as upstream used.
- Do not run autoconf on %%prep, it's not needed.

* Tue Jan 29 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.2-3mdv2008.1
+ Revision: 159908
- Rewrite lpstat patch in a better way. Closes: #25453

* Wed Jan 23 2008 Funda Wang <fwang@mandriva.org> 5.0.2-2mdv2008.1
+ Revision: 156979
- rebuild

* Tue Jan 08 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.2-1mdv2008.1
+ Revision: 146776
- New upstream: 5.0.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Giuseppe Ghibò <ghibo@mandriva.com> 5.0.1-5mdv2008.1
+ Revision: 113646
- Disable -O6 compilation flag (Patch0).
- Let "Print with GutenPrint..." entry in GIMP "File" menu appear at a nicer place (Patch1).
- Default to A4 paper (Patch3).

* Thu Sep 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.1-4mdv2008.0
+ Revision: 85217
- gutenprint-foomatic should not require any driver, as it is just a database package.

* Thu Sep 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.1-3mdv2008.0
+ Revision: 85033
- Remove too-old conflict pointed by pixel.

* Tue Sep 04 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.1-2mdv2008.0
+ Revision: 79404
- Rebuilt against new ghostscript.

* Mon Jun 18 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.1-1mdv2008.0
+ Revision: 41029
- New stable upstream: 5.0.1

* Wed May 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.0.0.99.1-3mdv2008.0
+ Revision: 27398
- Do not restart the service while removing the old package during an upgrade,
  as it is already restart by the post section of the new one.
- New upstream: 5.0.0.99.1, with full support for CUPS 1.2
- Major specfile cleanup
- Do not redirect cups condrestart, as the user must be able to know
  that it is being restarted and if it failed to start.
- Special note: upstream now defaults to not generate ppd files when using CUPS
  1.2.


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 5.0.0-3mdv2007.1
+ Revision: 144499
- do not package COPYING
- do not package huge ChangeLog

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Import gutenprint

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.0-2mdv2007.0
- Rebuild

* Wed Aug 02 2006 Till Kamppeter <till@mandriva.com> 5.0.0-1mdv2007.0
- Updated to the final release of Gutenprint 5.0.0.
- Removed the GTK-1.x-based GUI for Mandriva 2007 and later (bug 23992).

* Wed Jul 19 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.22mdv2007.0
- Removed "canon" and "epson" CUPS backends, they do not work with CUPS 1.2
  and do also not make sense to be used with CUPS 1.2. In addition, they
  show confusing auto-detection results in the CUPS web interface.

* Tue Jul 18 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.21mdv2007.0
- Updated to snapshot of Gutenprint 5.0.0 (state of 16/07/2006).

* Wed Jul 05 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.20mdv2007.0
- Updated to snapshot of Gutenprint 5.0.0 (state of 03/07/2006).
- Removed patch 1 (merged upstream).

* Wed Jul 05 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.19mdv2007.0
- Rebuild because last upload was incomplete.
- Uncompressed patches.

* Sun Jul 02 2006 Stefan van der Eijk <stefan@mandriva.org> 5.0.0-0.18mdk
- libgnutls rebuild

* Tue May 23 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.17mdk
- Prepare Foomatic data in a way that options in the PPDs get a more
  user-friendly order (patch 1).
- Generate also the simplified CUPS PPDs.

* Sat May 20 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.16mdk
- Updated to version 5.0.0-rc3 official release.
- Do not build the Gutenprint GIMP dialog on Corporate Server, to avoid
  GIMP being included due to BuildRequires.
- Fixed build mode without GIMP dialog, it also disabled building of
  libgutenprintui.

* Tue Apr 04 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.15mdk
- Moved CUPS filter directory from /usr/lib64/cups/filter to
  /usr/lib/cups/filter on 64-bit systems.

* Sat Jan 21 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.14mdk
- Updated to version 5.0.0-rc2 official release.

* Sun Jan 15 2006 Till Kamppeter <till@mandriva.com> 5.0.0-0.13mdk
- Updated to version 5.0.0-rc2 (test tarball).

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 5.0.0-0.12mdk
- rebuild against openssl-0.9.8

* Wed Oct 26 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.11mdk
- Let the post-install script of gutenprint-foomatic not exit with an error
  state when there are no print queues with PPD files installed (bug 19445).

* Tue Oct 25 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.10mdk
- Split the libgutenprint package to separate the UI libraries. to avoid
  the installation of GTK libraries on X-less servers when only the
  printer drivers are needed.

* Sat Sep 03 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.9mdk
- Updated to version 5.0.0-rc1.
- Removed sources 10 and 11, they were added upstream.
- Cleaned up spec file.

* Wed Aug 31 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.8mdk
- Enebled compilation of libgutenprintui, for Cinepaint printing
  support.

* Sat Aug 27 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.7mdk
- Fixed "PlainPIXMA" paper type entry for Canon inkjets.
- Really suppress translated CUPS PPDs.
- Added "BuildConflicts: libgutenprint, libgutenprint-devel", otherwise
  the CUPS PPD building is based on an old libgutenprint installed on
  the build system and not on the libgutenprint of this package.

* Fri Aug 26 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.6mdk
- Improved debug mode of this RPM.
- Added "Requires: gutenprint-common" to the subpackages. With
  missing gutenprint-common non of the subpackages work and none
  of the subpackages gives clear error messages.
- Made names for paper source and paper type options in Foomatic data
  Adobe-compliant: InputSlot and MediaType instead of STP_InputSlot and
  STP_MediaType (sources 10 and 11).

* Fri Aug 26 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.5mdk
- Re-uploaded because of full disk on kenobi.

* Fri Aug 26 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.4mdk
- Fixed bug in portuguese translation (bug 17790).

* Thu Aug 25 2005 Till Kamppeter <till@mandriva.com> 5.0.0-0.3mdk
- Updated to the snapshot from 13/08/2005.

* Fri May 13 2005 Till Kamppeter <till@mandrakesoft.com> 5.0.0-0.2mdk
- Require gimp-2.2.7-2mdk or newer for the GIMP printing plug-in, older
  versions conflict due to having their own Gimp-Print 4.2.7 printing
  plug-in.

* Wed May 11 2005 Till Kamppeter <till@mandrakesoft.com> 5.0.0-0.1mdk
- Gutenprint, the successor of Gimp-Print
- Added automatic update for existing print queues

